<template>
  <div class="task-form-group">
    <div class="task-form">
      <input
        v-model="taskName"
        type="text"
        class="default-input-style task-input"
        placeholder="What are you currently working on ?"
      />
      <div class="button-group">
        <button class="start-task" @click="startSession">Start Timer</button>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "TaskForm",
  data: function() {
    return {
      taskName: null
    };
  },
  methods: {
    startSession: function() {
      if (this.taskName) {
        this.$emit("start-session", this.taskName);
      }
    }
  }
};
</script>

<style>
h2 {
  text-align: left;
  font-size: 20px;
  margin-top: 10px;
  margin-bottom: 10px;
}

.task-form {
  padding: 10px;
  margin-bottom: 20px;
  border: 1px solid lightgray;
  display: flex;
  flex-direction: row;
}

.task-input {
  border: 1px solid lightgray !important;
  /* width: 100%; */
  font-size: 20px;
  line-height: 20px;
  display: inline-block;
  height: 35px;
  padding: 5px;
  flex-grow: 1;
}

.button-group {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
}

.start-task {
  display: inline-block;
  margin-right: 0;
  margin-top: 0px;
  margin-left: 5px;
  background-color: white;
  font-size: 14px;
  height: 100%;
}

.start-task-active {
  border: 1px solid lightgray !important;
}

.start-task-inactive {
  color: lightgray;
  border: 1px solid whitesmoke !important;
}



.task-form-running {
  display: flex;
  flex-direction: row;
  padding: 10px;
  margin-top: 20px;
  margin-bottom: 20px;
  border: 1px solid lightgray;
  background-color: white;
}

.task-form-running-title {
  flex-grow: 1;
}

.task-form-running-title > span {
  display: inline-block;
  width: 100%;
  text-align: left;
  font-size: 18px;
  padding-left: 10px;
}
</style>
